#
# spec file for package wsmancli
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wsmancli
BuildRequires:  gcc-c++
BuildRequires:  libwsman-devel >= 2.5.1
BuildRequires:  libwsman_clientpp-devel >= 2.5.1
BuildRequires:  pkgconfig
%if 0%{?suse_version} > 1010
BuildRequires:  libcurl-devel
%else
# SLE 10
BuildRequires:  curl-devel
%endif
Version:        2.6.0
Release:        3.26
Url:            http://www.openwsman.org/
Summary:        Command line client utilities for WS-Management
License:        BSD-3-Clause
Group:          System/Management
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides 'wsman', a CLI utility for resource management
over the WS-Management protocol.

Also included is 'wseventmgr', a CLI utility for event management over
the WS-Management protocol.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-more-warnings
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/wsman
%{_bindir}/wseventmgr
%{_mandir}/man1/wsman*
%{_mandir}/man1/wseventmgr*

%changelog
* Thu Jun 11 2015 kkaempf@suse.com
- Version 2.6.0
  - add '-L <locale>' flag to specify request-locale
* Wed Jun  3 2015 kkaempf@suse.com
- Update to version 2.5.0
  - 'wsman -h' exits with zero
  - properties and selectors are kept sorted
    (requires Openwsman 2.5 now)
- Version 2.4 was never released
* Thu Jan 15 2015 kkaempf@suse.com
- Update to 2.3.2
  - use API to set properties
* Wed Feb 26 2014 kkaempf@suse.com
- Update to version 2.3.1
  - exit with non-zero code if connection fails
  - add man pages (Kent Baxley)
  - read credentials from environment
    wsman: WSMAN_USER, WSMAN_PASS, WSMAN_EVENT_USER, WSMAN_EVENT_PASS
    wseventmgr: WSEVENTMGR_USER, WSEVENTMGR_PASS,
    WSEVENTMGR_EVENT_USER, WSEVENTMGR_EVENT_PASS
  - add --non-interactive option to prevent asking for credentials
    in scripts
* Thu Nov  8 2012 kkaempf@suse.com
- Update to version 2.3.0
  - don't crash on filter parse error (Zoltan Micskei)
  - remove -Q (don't send request) option
  - complain about bad filter expression
  - fix autotools build for MacOS (Dan Villiom Podlaski Christiansen)
* Wed Sep 14 2011 kkaempf@suse.com
- Update to version 2.2.7.1
  - adapt to reduced libu exposure in openwsman
  - openwsman C++ bindings need libwsman_clientpp-devel now
* Thu Sep  8 2011 kkaempf@suse.com
- Update to version 2.2.7
  Bugfix release
  - add wseventmgr
  - fix the default port setting to match wsmc_create() call. Use
    https (port 5986) when cainfo is set.
  - in debug mode, dump the complete response XML if it can't
    be parsed (Chris Poblete)
* Sun May  1 2011 crrodriguez@opensuse.org
- Fix build with GCC 4.6
* Wed Apr 20 2011 kkaempf@novell.com
- Update to version 2.2.6
  Bugfix release
  - fix segfault in output_file handling (Chris Poblete)
* Wed Mar 16 2011 kkaempf@novell.com
- Update to version 2.2.5
  Bugfix release
  - fix integral parameters on big endian architectures (Kamil Dudka)
* Mon Sep 13 2010 kkaempf@novell.com
- Update to version 2.2.4
  Bugfix release
  - fix default ports (5985/5986)
  - fix --sslkey handling
  - add warning if ssl used without --cacert
- Enhance enumerate with association filter to have the ability to
  specify the optional elements namely: AssociationClassName, Role,
  ResultClassName, ResultRole and IncludeResultProperty.
  (IncludeResultProperty is a list, specify it as a comma separated
  list in the “U” option.)
  (Chris Poblete)
* Thu Feb 25 2010 kkaempf@novell.com
- Update to version 2.2.3
  Bugfix release, synchronize version with openwsman
  - fix double free error on enumeration (Chris Poblete)
  - add '--version' to print version and build timestamp
* Tue Sep 16 2008 prusnak@suse.cz
- update to 2.1.0
  * adapted to the new openwsman 2.1
* Tue Apr 29 2008 prusnak@suse.cz
- update to 2.0.0
  * adapted to the new openwsman 2.0 API
* Mon Apr  7 2008 npaxton@novell.com
- Update to ver 2.0.0
* Thu Jan 17 2008 prusnak@suse.cz
- update to svn 2354 to sync with openwsman svn version
* Tue Nov  6 2007 prusnak@suse.cz
- updated to 1.5.0
- dropped obsolete patch (included in update)
* Fri Aug  3 2007 kkaempf@suse.de
- update to 1.2.0
- fix dependencies
- fix compiler warnings
* Tue Jul 24 2007 prusnak@suse.cz
- added openwsman-client to BuildRequires
* Fri Jul 13 2007 prusnak@suse.cz
- created package (version 1.1.0)
- based on BuildService package wsmancli in home:nashif
